GDV SciLab

Purpose GDV Scientific Laboratory

The GDV Scientific Laboratory program is designed for multi-parametrical processing of static or dynamic GDV-images. The program provides the solution of the following:

1. Calculation of numerical characteristics of GDV-images both for the whole image and for separate sectors.

2. Formation up to 10 samples of GDV-images and their statistical comparison using the selected GDV parameters.

3. Calculation of statistical characteristics of each sample using the selected parameter.

4. Calculation of trends; entropy and fractal analysis of time series of dynamic GDV-image parameters.

5. Visual analysis and comparison of the initial GDV-images and arrays of calculated numerical data.

6. Saving the processed results to files and printing out the reports.

7. Creation of a detailed report in the MS Word format.

Introduction

Purpose GDV Scientific Laboratory

Main terms

Features of GDV Scientific Laboratory program

System requirements

Working with the program GDV Scientific Laboratory

Overview of the program GDV Scientific Laboratory

Loading GDV-images

Playing dynamic GDV-images and frame-by-frame navigation

Noise filtration

Pseudocoloring modes

Determination of the glow center

Viewing and correcting the glow of GDV-image

GDV-Image Menu

Edit sector division

Extracting frames to disk

Working with dynamic samples

Data processing

Setting up the effective range of frames

GDV parameters

Time series processing parameters

Data distribution

Viewing the processing results

Previewing the statistical report

Working with static samples

Getting ready for statistic analysis

Data distribution

Parameter plots

Statistical report

Numerical data table

Report in MS Word

Print

Printing GDV-images

Printing plots and tables

Saving the work session


Glossary

Main terms

Approximation coefficients – numerical characteristics calculated in the course of approximation (construction of trend or model) of time series. Three possible approximation algorithms are used in GDV SciLab: polynomials of the given level, power functions or exponential functions.

Asymmetry – the degree of nonsymmetricity of distribution about mean. Positive asymmetry indicates that the distribution deviates to positive values. Negative asymmetry indicates that the distribution deviates to negative values. Normal distribution is symmetric with respect to mean, i.e. its asymmetry is equal to 0.

Box&Whiskers – graphical form of data presentation, including a rectangle (a box) and whiskers. The proportions of the rectangle and the length of whiskers correspond to the displayed parameters (usually these are mean-square deviation, percentiles, minimum and maximum, etc.).

Characteristics of time series – numerical values calculated in the course of analysis of time series. The following characteristics are used in the GDV SciLab: approximation coefficient, entropy and fractal dimension.

Confidence interval for the mean – specify the area about the mean, which contains the “true” mean with the given level of confidence. Confidence intervals in GDV SciLab program are built for 5% confidence level, i.e. you can conclude that with 95% probability the sample mean lies within the limits of confidence intervals. The width of confidence interval depends on the sample size and dispersion or data scattering (standard deviation).

Dependent samples – samples of data received in the course of one experiment on one and the same subject or a group of subjects of research under different successive influences. At the same time it is assumed that the characteristics of subjects of research change as a result of applied influence. For example, the dependent ones are GDV-image samples of the same liquid before and after some influence.

Distribution - function showing how often one or another value is found in the data sample. In case of GDV-parameters, when there might be a lot of different values (the number of different values is close to the quantity of elements in the sample), all the range of values is divided into the given small quantity of equal intervals, after which the amount of points, falling into each interval, is calculated. There are normal (symmetric and bell-shape) and other types of distributions.

Dynamic GDV-image – video image of gas discharge, fixed during the whole period of exposure (influence) of electromagnetic field upon the object.

Entropy – degree of "informativeness" of time series. It is calculated on the basis of distribution of values of points inside the series. Entropy reaches its maximum if all the values are equiprobable.

Excess – characterizes relative pointedness or smoothness (bell shape) of distribution in comparison with normal distribution. Positive excess means relatively cusped distribution. Negative excess means relatively smoothed distribution.

Fractal dimension – degree of "complexity" of time series. Fractal dimension is calculated according to Higuchi algorithm. The values of fractal dimension differ from 1 to 2, where 1 means that the time series is close to a straight line and 2 shows that the values of the series are varying strongly, forming a compound curve in the graph. Fractal dimension can be calculated only with certain error which is estimated as the mean-square deviation of fractality.

GDV-image – gas discharge image, arising around the object when investigated by the GDV Camera.

Independent samples - samples of data for different groups of subjects, obtained in the course of one or several parallel experiments.

Independent samples - samples of data for different groups of subjects, obtained in the course of one or several parallel experiments. For example, when you capture GDV-images of various liquids.

Mean – number equal to the sum of elements of sample, divided by the number of elements. The bigger is the sample size, the closer is the mean to the so-called “true mean”, which could be obtained if all the possible values of the given measurement or parameter were included in the sample.

Median – number, which divides the sample into two parts equal in the quantity of elements in such a way that one part contains values lower than the median, and the other part – higher ones.

Non-parametric or Distribution-free statistical tests – non-parametric methods used when the distribution of the investigated sample and its parameters are unknown (hence the term “non-parametric statistics”). They are also applied when the amounts of data are insufficient for the application of parametric methods (for example, based on the assumption of normalcy of distribution of the basic data). Non-parametric methodDd on the assessment of distribution parameters (such as, for instance, mean or standard deviation), describing the distribution of the sample. These methods are sometimes called parameter-free or distribution-free methods.

Normal distribution – symmetric and bell-shaped distribution, whose form is described by Laplace function. This function depends only on two parameters – mean value and standard deviation, which is very convenient for statistical comparison. In order to reliably determine the normalcy of sample, its size shall be quite high (several tens points or more).

Outburst – a typical or rare values, which vary significantly from the distribution of other sample data. These data can show true characteristics of the studied event (variable), and can be connected with measurement errors and anomalous events and, therefore, shall not be included in the model.

Parametric statistical tests – criteria calculated on the basis of parameters of normally distributed samples (mean, standard deviations). They are used if it is known that the sample has normal distribution.

Percentile – such a number that the values of the given part of sample are smaller or equal to this number. For example, 25th percentile (also called quantile 0.25 or lower quartile) shows that 25% of values are smaller than this value. 75th percentile is calculated similarly (also called quantile 0.75 or higher quartile) – it shows that 75% of values are lower than this value.

Sample – an assembly of data, obtained in the course of monitoring (measurement) of the occurring process. Samples can be assessed by way of different statistical parameters, for instance, standard deviations, mean values, etc. Samples are compared by means of statistical tests.

Standard deviation or root-mean-square deviation (RMS) – a widely applied measurement of data scattering and variability.

Static GDV-image – single image of gas discharge fixed in some moment of exposure (influence) of electromagnetic field upon the subject.

Statistical characteristics (statistics) – characteristics of data sample, calculated from all elements of the sample and describing its main features. These characteristics include mean, standard deviation, median, and percentiles.

Statistical test – numerical characteristic calculated in the course of statistical comparison of samples. There are parametric and non-parametric criteria, as well as criteria of dependent and independent samples.

Time series – chain of measurements in successive points of time. The time series of GDV parameters is built on the basis of dynamic GDV-images. The analysis of time series includes formal description of trend or the model of time series, for example, based on functional approximation. As soon as the model is defined, you can interpret the data with the help of it. Moreover, you can calculate such characteristics as entropy and fractal dimensions of the time series.


Features

Features of GDV Scientific Laboratory program

The program can work in either of the two modes:

  • Processing and statistical comparison of as much as 10 samples of dynamic GDV-images.

  • Processing and statistical comparison of as much as 10 samples of static GDV-images.

The following operations can be performed in the static mode of the GDV Scientific Laboratory program:

1. Loading of as much as 10 samples of static GDV-images.

2. Viewing and printing of GDV-image images in various palettes of pseudo-coloring,

3. Editing the method of correction of the glow center, filtering noise background and carrying out the sector division,

4. Calculation of GDV-parameters for the whole GDV-image image or for its separate sectors,

5. Viewing and printing of parameters for each sample,

6. Statistical comparison of samples on the basis of data given by the user on the dependence of samples and type of distribution,

7. Viewing and printing of graphs in the form Box & Whiskers, showing statistical characteristics of parameters samples of loaded GDV-images,

8. Viewing and printing of a detailed column report on all the numerical data of the program,

9. Saving of all the program data in a file with the possibility of loading,

10. Saving of the column report in a text file for the export into other programs of data processing.

11. Making up a detailed Microsoft Word report covers all calculated numeric data, charts and text comments of the program.

The following operations can be performed in the dynamic mode of the GDV Scientific Laboratory program:

1. Loading of as much as 10 samples of dynamic GDV-images.

2. Playing of dynamic GDV-images,

3. Viewing and printing of frames of GDV-images in various palettes of pseudo-coloring,

4. Editing of the method of correction of the glow center, filtering of noise background and sector division,

5. Calculation of GDV-parameters for the whole GDV-image image or for its separate sector,

6. Viewing and printing of graphs of time series of GDV-parameters for each sample with the possibility to remove outbursts directly on the graph,

7. Viewing and printing the distribution of the GDV parameters in the specified frame for each sample.

8. Statistical comparison of samples on the basis of data on the dependence of samples and type of distribution given by the user.

9. Statistical comparison of samples of characteristics of initial time series: approximation coefficients, entropy and fractal dimension,

10. Viewing and printing of graphs showing statistical characteristics of samples of time series of parameters of loaded GDV-images,

11. Viewing and printing of graphs in the form Box & Whiskers, showing statistical characteristics of samples of approximation coefficients, entropy and fractal dimension of time series of GDV-parameters,

12. Viewing and printing of detailed column report on all the numerical data of the program,

13. Saving of all the program data in a file with the possibility of loading,

14. Saving of the column report in a text file for the export into other programs of data processing.

15. Making up a detailed Microsoft Word report covers all calculated numeric data, charts and text comments of the program.


Requirements

System requirements

The program can be operated in the following Microsoft Windows operating systems:

  • Windows 2000

  • Windows XP

When processing video files obtained with the help of the latest modification of GDV Camera equipped with Philips digital video camera, it is advisable to install the video camera drivers. Video information comes from this camera in a packed form and, therefore, in order to extract the frames from AVI-file, the GDV Scientific Laboratory program requires a program decompressor, which is installed simultaneously with the installation of video camera drivers. The operating system Windows XP contains this decompressor, while all other Microsoft operating systems do not.

Recommended computer configuration:

  • Processor - PIII-733 or higher

  • Memory - 128 Mb or more

  • HDD free space - 5 Gb or moreе


Overview

Overview of the program GDV Scientific Laboratory

The interface of the GDV Scientific Laboratory program is organized in the form of dialog and has consecutively switchable pages. Part of pages is accessible only after loading, processing or analysis of data. The program interface is designed so that the user is able to consecutively make all steps of the standard analysis procedure.

The methods of analysis and display of data are different for static and dynamic modes; therefore, when the working mode is switched the program clears all previously calculated data.

When you start the program the start page is displayed:

When you select the User Manual button, you will see the description of working with programs.

The menu item About program will display the data on the installed program version, time and date of its issue, the hardlock number, and there is also a possibility to change the language of the user interface to any of the supported ones without re-installing the program. To do this you need to check the required language and restart the program. The interface language will change for all programs in the package.

When you press the Load from data file button the window Choose and load data file shows up making it possible to load the calculated data of GDV-images saved to the file with .sl extension and to continue working with the program. In the bottom part of the window Choose and load data file you will find the short description of the contents of the selected sl-file. To load data you need to select the required file and press Open.

The button Cancel closes the window.

When you are loading two or more files with extension .sl, the window Samples names will open. It contains information on the number of samples in each loaded .sl file and shows their new name that can be edited. Select the samples you need to load by checking/unchecking the ticks on the left of the samples name.

The button Next>> will open the window with a list of GDV parameters; however this list can be incomplete if in the previously calculated samples analysis was carried out using an incomplete parameter list.

The Process samples of GDV-images button will switch you to the next page GDV-images samples where samples of static or dynamic GDV-images can be loaded.

In the upper right part of the page GDV-images samples there is the program menu.

When you press the button Page the menu with a list of pages will show up where you can randomly switch over to other pages of the program. The current page is marked with a tick, and you can select another one with the left mouse button but you need to consider that part of pages will be accessible only after loading or processing GDV-images. You can switch over among the pages during work using the buttons Previous and Next in the menu Page, or in the lower right part of the page GDV-images samples.

If you press the button Action a menu will show up with a list of possible actions on this page including both operations common to all pages of the program (“Go to subject's page”, “New subject”, etc) and specific operations for the current working window.


LoadBMP

Loading GDV-images

Loading of static and dynamic GDV-images is carried out on page GDV-images’ samples using the button Load GDV-images (indicated with a cursor in the picture).

To load GDV-images you need to press the button Load GDV-images... In the shown-up window (see below) select the required type of files, static or dynamic GDV- images. The former are stored on disk in the files with .bmp extension, the latter with .avi extension. The type of files needs to be indicated only when you are loading the files of the first sample, for the following samples the type of files coincides with that selected before.

Select the directory from where you need to load GDV-images. When you select the file, in the lower part of the window an image will be displayed with a brief list of its characteristics.

Then you need to select one or several files in the selected folder. Either press the button Select all, or keeping the Ctrl button pressed select the required files with the cursor and press Open.

In the Load Dynamic GDV-Images window there is a play function together with carrying out frame-by-frame navigation of a dynamic GDV-image. When this function is active all other buttons in the window of loading GDV-images are blocked.

In the right part of the Load GDV-images window there are additional buttons Create folder, Cancel and the Preview switch.

The Preview switch opens the preview window in the lower part of the monitor (if checked). On the right the image of the selected file is shown, below it there are preview elements of a GDV-image (preview is switched automatically), on the left there is a window with characteristics of a selected GDV-image.

The button Cancel cancels the file opening and closes the window.

The program memorizes the catalog from where the files were open. With further attempt to open the GDV-images this catalog will be offered by default.

After loading GDV-images the program will display GDV-images on the page in compliance with preset parameters of pseudocoloring of GDV-images, noise filtration and inscribing glow centers.

Pressing the Load per list button will form the list of files of subjects and load this data to the program from the Load GDV Images window.

In the window the list of files with .sbj extension is displayed which you need to open. The list can be edited using the following buttons:

enables to add to list files with .sbj extension from the selected folder on the disk

deletes the selected files with .sbj extension from the list

deletes all files with .sbj extension from the list

Using the Folder pattern [image] and

File name pattern [image] buttons you can download not all files but only those that meet a certain requirement. In these fields you can enter any part of folder or file name. You can use the two special symbols "*" and "?". "*" – means any number (including 0) of any symbols. "?" – means only one symbol. For example, you have a set of files of 10 human fingers and you need to open files of the right hand fingers taken with filter; to do this, you need to type in the field of Folder pattern *Filter* and in the field of File name pattern ?R* (of course, all folders and files on the disk need to be named appropriately). Then when you scan the selected folder, only the required files will be loaded to the list.

After selecting all parameters press ОK.

Using the Print GDV-images button you can print the loaded GDV-images.


Frame_navigation

Playing dynamic GDV-images and frame-by-frame navigation

The first frame of the dynamic GDV-image is opened after loading. The controls, designed for playing and frame navigation, are located under the image of the current frame. Program operation is blocked during playing. It is necessary to stop playing in order to continue the work.

Button functions:

– switch to previous frame,

– switch to next frame,

– start of GDV-image playing from the current position,

– stop of playing.

The GDV-image can be played step-by-step, using buttons [image] and [image] or the indicator of position of the current frame. Current frame number and total quantity of frames are shown under the indicator in the right part.


Filter shym

Noise filtration

The window Noise filter parameters is opened using the button Noise in the upper part of the Dynamic GDV-images page.

Several parameters of noise filtering are offered in the program:

To use the new parameters press ОК, with all loaded GDV-images being automatically noise-filtered with new parameter values and updated on the monitor.

A GDV-image is a number of points (pixels) each of which is characterized by the glow intensity – a value within 0 - 255. Zero intensity corresponds to the absence of glow in the given point, and 255 indicate maximal glow intensity.

The GDV-image spectrum is the function that determines the number of points with specified intensity. Fig. shows a typical GDV-image spectrum. The horizontal axis shows the intensity and the vertical one the number of image pixels with preset intensity. Any video camera used to register GDV-images has a certain error of performance. Therefore the images contain evenly spread “noise” points of low intensity. The figure shows the part of spectrum corresponding to there noise pixels in grey. The blue color indicates the spectral region corresponding to the brightest and most informative point of gas discharge glow around the subject.

Fig. Typical spectrum of a GDV-image

The video camera performance error is not the only noise contribution to GDV-images; it also may be dirt on the work surface of the instrument. It may result in separate bright spots or fragments that also should be filtered.

As a result, noise filtration of GDV-images is carried out in two stages. First, you need to remove pixels whose intensity is equal or less than a certain limit. There are two ways of setting this limit:

1. The limit is set directly– a corresponding parameter of the program is called «absolute noise level»;

2. The limit is determined automatically for each image by a certain characteristic of the GDV-image spectrum.

The latter method is regulated by the two parameters – «relative noise level» and «basic intensity». A relative noise level determines the percentage of the limit value for filtration calculated from the selected basic intensity. There are 5 options of basic intensities:

1. Average – an average intensity calculated by analysis of all points of image.

2. Average + RMS – an average intensity of all points of image plus standard intensity deviation.

3. Median – a median of the image points intensities.

4. Peak – the most frequently met intensity value.

5. Threshold – a value exceeding the intensity peak (the number of pixels containing this value is less than 1% of the total amount of image points).

At the second stage of filtration a list of image fragments is built – groups of glow pixels situated nearby (the principle of 8-connectedness is used: two points are neighboring if their coordinate values have not more than one-unit difference, i.e., the neighboring of the given points are those being in one of the eight nearby positions) For each fragment the area is calculated, i.e., the number of pixels in it. Then you need to remove from the GDV-image all fragments whose area is smaller than the specified one. It is regulated by the parameter «minimal fragment area». The value of this parameter is 10 by default and usually does not require any changes.

For the convenience of processing GDV-images of liquids (that may splash during a discharge), and also if there is edge flare (external lighting), another parameter has been introduced, - the «working radius». If this parameter is non-zero, all pixels whose distance to the glow center exceeds the specified value are removed.

It should be emphasized that during the filtration procedure there is no physical removal of information from images, all further calculations in the program are done as if all filtered pixels had zero intensity. Therefore you can change the noise filtration parameters any time, not losing the data on noise pixels.

The noise filtration parameters settings are carried out by the user. The two main factors to select these parameters are the type of the used GDV Camera and specific features of the recorded GDV-images. In the Operation Manual to the GDV Camera you will find the recommendations helping to determine the correct parameter values. You need to follow the principle of selecting the most contrast part of the glow that can usually be seen with a naked eye. It is also important (when you are registering the test object images) to ensure such filtration parameters that the inner part of the glow would not contain noise pixels. For the convenience of selecting optimal parameters of noise filtration the program can switch to different types of image pseudocoloring. You can use the following way to control the correctness of the chosen parameters:

1. Set the «intensive» or «energy» palette for loaded images.

2. Select the noise filtration parameters so that to avoid a large number of yellow dots.

3. Switch to the «initial image» palette.

4. Switch off the display of the filtered points.

5. Make sure that the visible peculiarities of the subject’s glow have not disappeared from the screen.

6. Switch to the «monotonous palette».

7. Make sure that the bright-blue dots do not fill the entire or almost entire glow area.

8. If necessary, repeat the procedure.

Naturally, the procedure of selecting the parameters is done only once using several samples of GDV-images of fingers and GDV-images of the test object captured with the given GDV Camera.


ViewGDVImages

Pseudocoloring modes

You can view GDV images in various pseudocoloring modes, which enables to study the peculiarity of development of gas discharge more accurately. You can switch one pseudocoloring mode to another in the upper left corner of the page.

The following types of pseudo-coloring are provided in the program:

1. Original image – image as it was obtained from video camera and saved in AVI-file. Gray color palette containing 256 shades of gray (from black to white) is used.

2. Inverted image – inverted gray color palette is used, containing 256 shades of gray (from black to white). Particular small details and thin streamers are better seen in this palette than in the initial image.

3. Intensive palette – image points are colored in one of eight colors. The brightest glow points are colored in the shades of blue, less bright points are colored in the shades of red. Points, the intensity of which is higher than the noise level, but lower than the base noise level for the given frame, are colored in yellow. All image points removed by noise filtration are shown in white.

4. Solid palette – all image points removed by noise filtration are shown in black color, the rest of the points are shown in a monotonous bright color. Use this palette analyzing sector’s glow area and glow area of the whole image in order to avoid optical illusion, which can occur if some points are not seen well, as the coloring is similar to the coloring of “noise” points.

5. Blue palette – color palette containing 256 shades of blue (from black to bright blue) is used. Points with minimal intensity of glow are shown in dark (almost black) shades, points with maximal intensity of glow are shown in bright (almost blue) shades. This palette displays the glow similar to the way it can be seen in instrument’s electrode by the naked eye.

6. Energy palette – the image points are colored in one of the nine colors. The brightest glow points are colored in blues, the less bright ones are colored in reds, oranges and violets. All image points removed by the noise filtering algorithm are displayed in white.


CenterDetection

Determination of the glow center

The program determines the glow center automatically after loading GDV-images.There are several calculation methods of glow center. To change the used method, press the button Center in the upper part of the GDV-image loading page, the window Center of the grow will show up.

Methods of automatic determination of the GDV-image glow centers:

1. In the center of gravity – the location of the center is equal to geometric average of coordinates of all the points of GDV-image, the intensity of which is higher than the noise level.

2. In the center of the image – the center of glow is the center of GDV-image (for example, image of 320 × 240 points will have center coordinates [160 , 120] ).

3. In the center of inner contour – this variant of calculation of the center of GDV-image is specially designed for the GDV-images of fingers, its value corresponds to the center of inner contour of GDV-image glow.

4. In the center of outer contour – outer contour of glow and its geometrical center is calculated.

5. In the specified point – all fields of input of center coordinates are available.

6. In the center of drop’s glow – gravity center of the fragment closest to the image center is chosen.

Press OK to apply the new method of the glow center correction. The center position of the GDV-images will change automatically. If the image is of irregular character, or if the first frame of the image is distorted (doesn’t contain glow at all, or has very low brightness), manual correction of glow center might be required. In such case, please, follow the steps:.

  1. Turn on the display of sectors in the image using button [image] near the window select pseudo-coloring.

  2. Place the cursor onto the point of cross-hairs of red lines, press left mouse button and, holding it, move the center in the necessary point, then release the button. In the process of moving the center, current values of coordinates of the glow center will be shown in the left lower corner of the image for user convenience.

The glow center is placed in the inner contour by default.


KonturDetection

Viewing and correcting the glow of GDV-image

Parameters of the inscribed ellipse and glow center are determined automatically during loading of static and dynamic GDV-images to program. In some cases the glow has spikes and dark areas that can bring to inaccurate building of the glow contour and will require manual correction.

To correct the glow center point the mouse cursor to the center of the GDV-image, press the left button and move the cursor keeping the left button pressed.

You can similarly correct the glow orientation on the GDV-image. Point the mouse cursor to one of the GDV-image axes, press the left button and move the cursor keeping the left button pressed. The axis will turn with regard to the center of the GDV-image.

To correct the ellipse axes you need to select the corresponding GDV-image, point the cursor to the axis chosen for correction, and keeping the keyboard button Ctrl pressed move the contour borders. Placing the cursor between the axes and keeping the button Ctrl pressed you can correct two axes at a time.

You can have the detailed information about a GDV-image using the mouse.

  • When you move the cursor around the image the information is displayed in the lower part of the window.

  • When you press the right mouse button the information is displayed in the pop-up window.


MenuGDVImages

GDV-Image Menu

You can call the context menu for any static GDV-image loaded to the program: press the right mouse button on the line where the number of the frame and the file path are indicated. The context menu will show up consisting of the following items:

Menu item | Function
Copy to clipboard | Copies the frame on the screen at present moment taking into consideration coloring, sectors and processing to the clipboard
Select | Selects the GDV-image
Select all | Selects all GDV-images
Remove | Removes the selected GDV-image from the program
Fit to window | Displays the maximal number of GDV-images simultaneously (the number of images on the screen depend on the preset monitor resolution)
Set maximal enlargement | Enlarges the selected GDV-image over the whole window
Zoom in | Enlarges the selected GDV-image
Zoom out | Reduces the selected GDV-image
Fit ellipse automatically | The program automatically builds an ellipse for the GDV-image removing changes introduced by manual correction
Print image | Calls the Print preview window
View | Calls the GDV-image preview
Sectors editor | Calls the Sector fragmentation editor window

The context menu for a dynamic GDV-image is called similarly to that of a static one and has sub-items.

Menu item | Function
Copy to clipboard | Copies the frame on the screen at present moment taking into consideration coloring, sectors and processing to the clipboard
Select | Selects the GDV-image
Select all | Selects all GDV-images
Remove | Removes the selected GDV-image from the program
Fit to window | Displays the maximal number of GDV-images simultaneously (the number of images on the screen depend on the preset monitor resolution)
Set maximal enlargement | Enlarges the selected GDV-image over the whole window
Zoom in | Enlarges the selected GDV-image
Zoom out | Reduces the selected GDV-image
Fit ellipse automatically | The program automatically builds an ellipse for the GDV-image removing changes introduced by manual correction
Print current frame | Calls the Preview window
Print selected frames | Calls the Preview window
View | Calls the Preview window of the GDV-image
View current frame | Calls the Preview window of the GDV-image
Sectors editor | Calls the Sector fragmentation editor window


SectorEditing

Edit sector division

GDV Scientific Laboratory program enables to evaluate parameters of not only the whole image, but of its particular sectors.

The window Sector fragmentation editor is called using button Sector editor, located in the upper part of page GDV-images samples.

This window can also be opened from the pop-up menu of one of the loaded files.

The editor of sector fragmentation has two parts: the list of descriptions of sectors from the left, and control buttons and sector editing buttons from the right.

Each sector is identified by its own properties: the number of sector, start angle, end angle, and short text description. The angles are given in degrees and are counted clockwise from the direction “vertically up” in the image.

The editor of sector division enables to add or edit sectors one after another with the help of window Sector parameters, called by buttons Append new sector, Insert new sector, Edit selected sector.

The Remove selected sectors button removes the selected sectors and Remove all sectors removes sector fragmentation.

In the editor you can also specify equal fragmentation using the Create equal fragmentation button opening the window Equal fragmentation parameters. In this window you can specify the number of sectors, the start angle and the end angle of that part of the image which will be divided into the specified number of sectors. If the start angle is equal to 0 and the width is 360 degrees, the fragmentation will cover the whole image, respectively.

The start and end angles of each sector can be edited directly in the GDV-image image. In order to do that, move the cursor to the sector to be modified, holding button Shift. The current sector, where the mouse cursor points to, will be marked by diagonal hatching. Place the cursor onto the sector’s border that shall be moved, and move the border to the required position, pressing left mouse button. Information on the modified sector (start and end angles, size of sector’s angle) will be displayed in the left lower corner.

To turn all sectors at the same angle you need to press the left mouse button above the GDV-image at some distance from the center: the cursor will take the shape of two semi-circle arrows, then, keeping the button pressed, move the cursor in the required direction.

Sector fragmentation can be saved to file or loaded from file. Press the Save or Load button in the sector fragmentation editor. The program will save data on sectors to a txt. file with extension "*.sec".

Press Select fragmentation from list to select fragmentation for the finger in question by Korotkov and Mandel.


Extracting_GDV_images

Extracting frames to disk

Frames extracting is done only for a dynamic GDV-image from the Extract frames to disk window called from the context menu of the GDV-image.

In the window a list of AVI-files is displayed required to be extracted. By default, when you open the window Extract frames to disk the list is filled with the file names of opened dynamic GDV-images. You can edit the list using the following buttons:

enables to add to list AVI-files from the selected folder on the disk

deletes all selected AVI-files from the list

deletes all AVI-files from the list

makes it possible to view an AVI-file selected from the list

Using the Folder pattern [image] and

File name pattern [image] you can download not all AVI-files but only those that meet a certain requirement. In these fields you can enter any part of folder or file name. You can use the two special symbols "*" and "?". "*" – means any number (including 0) of any symbols. "?" – means only one symbol. For example, you have a set of AVI-files of 10 human fingers and you need to extract AVI-files of the right hand fingers taken with filter; to do this, you need to type in the field of Folder pattern *Filter* and in the field of File name pattern ?R* (of course, all folders and files on the disk need to be named appropriately). Then when you scan the selected folder, only the required AVI-files will be loaded to the list.

You can also indicate – extract all frames (by default) or a group of frames. To do it, you need to select Extract selectively and set the initial and final frame of the group.

By default BMP-files are registered to the same folder with the AVI-file. The name of the BMP-files will be set as the word "frame" and an ordinal 4-digit number.

After you have finished selecting all parameters press Extract.


Progressing

Data processing

After loading a sample of dynamic GDV-images you need to carry out processing of the loaded GDV-images. The page Data processing follows the page of loading GDV-images.

Before processing you need to set the processing frame range which is initially set as crossing of working ranges of dynamic GDV-image.

If necessary you can make more exact the list of the calculated GDV parameters using the Change GDV parameters set button.

ATTENTION!!! Cutting down the set of parameters will reduce the time of processing of dynamic GDV-images. The most time of processing is required to calculate the maxima entropy by isoline.

You also need to indicate what part of image needs processing, the whole image or just a separate sector.

Before processing GDV-images it is necessary to set the Time series processing parameters.

When loading two and more samples of dynamic GDV-images you can calculate statistical criteria of GDV-images. The Data processing page will have the following form:

On the Data processing page we need to determine the connection between the samples loaded to the program classified as:

  • Dependent samples

  • Independent samples

This parameter is to be indicated explicitly based on the type of experiment, viewing of initial data after processing, reference data or some other reasons.

To do the processing, press Calculate in the lower part of the page.

At the time of processing a window shows up with information about the number of processed files, the number of files to be processed and the time necessary for processing (the time is approximate).

When the processing of video files is finished the program will automatically switch over to the next page.


Effective frame range setup

Setting up the effective range of frames

When a dynamic GDV-image is recorded, the beginning and the end of video file might contain distorted (too dark, empty, etc.) frames. Such frames shall be excluded from the analysis, as they do not reflect the properties of the subject and strongly distort the obtained data. In order to do that, the effective range of frames shall be set in the program. The video file shall be played in full before processing. If defective frames are found, numbers of the first and the last frames which shan’t be processed shall be entered. The numbers are typed from the keyboard or entered with the help of scrolling buttons. This window is located in the upper part of page Data progressing.


Parameters

GDV parameters

In the time of processing a GDV-image the following parameters are calculated:

1. Area – the number of pixels with a non-zero intensity not removed during noise filtration.

2. Normalized area – the ratio of the glow area to the ellipse area (this parameter makes it possible to compare the areas of GDV-images of fingers of different physical sizes).

3. Average intensity – the average glow intensity calculated using all pixels with a non-zero intensity not removed during noise filtration.

4. Number of fragments – the number of 8-neighbouring glow fragments whose area exceeds the minimal fragment area.

5. Form coefficient

6. Mean radius of isoline

7. Normalized RMS of isoline radius

8. Length of isoline

9. Entropy by isoline

10. Spatial fractality

11. Radius of the inscribed circle (this parameter is to control the test object radius) – an average distance from the glow centre to the inner contour pixels.

Parameters 5-11 are calculated using a number sequence specially formed for the specified GDV-image called an isoline. The isoline is plotted as follows:

1. Imaginary beams are drawn from the glow centre to the image borders. Each beam has a corresponding angle value specifying its direction. This angle is measured in degrees and lies within 0 - 360°. The angle is counted up from a vertical direction clockwise. The beams having an equal angle step cover the entire image. The total number of beams is determined as the width of the image multiplied by 4. I. e. for a GDV-image of standard size 320x240 the total number of beams is 320*4 = 1280.

2. For each beam the first pixel (the closest to the centre) from the centre, whose intensity is equal to the average glow intensity (see parameter 3), and the uttermost from the centre pixel with the same intensity are found.

3. The distance between the two obtained pixels is calculated.

4. The set of distances obtained for each beam forms the isoline.

Thus we obtain a number sequence characterizing the glow form of the subject under study. In the beams that cross the bright streamers the corresponding distance will be large. On the contrary, if a beam crosses a “gap” in the image, the distance will be small or zero.

Let us introduce notations:

i – The beam number

N – The number of beams

- The i-beam angle of inclination

- The isoline value for an i-beam (the distance between the two extreme points whose intensity is equal to an average intensity).

Consequently:

- Length of isoline

- Average isoline radius

- Form coefficient

- RMS deviation of the isoline radius

- Normalized RMS deviation of the isoline radius

Calculation of entropy is carried out as follows:

1. Find the minimal and the maximal isoline values.

2. Divide this range by the specified number of intervals. This number is either specified by the user, or is selected such that the entropy is to be maximal.

3. Let k be an interval number, Nint – the number of intervals, Nk – the number of isoline values that hit the k-range. Calculate the expectancy of isoline values hitting the k-range as

.

4. Calculate entropy by Shannon as

.

Fractality is calculated by isoline using Higuchi algorithm.

Parameters 5-11 numerically characterize various aspects of the glow form. For example, the average isoline radius parameter estimates the “width” of glow around the object; the normalized RMS deviation of the isoline radius estimates the irregularity of glow by its contour.

The inscribed circle radius is the mean distance from the center glow to the inner contour points. It is intended for radius control f the test object. In finger GDV-image analysis it can be used as a parameter that approximately evaluates the physical size of finger.


Parameters_progressing

Time series processing parameters

During the time series formation their processing is carried out and a number of characteristics is calculated:

1. The polynomial trend coefficients with power 1 – 5 set by the user.

2. The exponential trend coefficients.

3. The power trend coefficients.

4. Time entropy for the specified number of intervals or the maximal time entropy. The choice of the kind of time entropy is defined by the user.

5. Time fractality.

Parameters of the time series processing are entered by the user on the page Data processing.

The Power of polynomial approximation from 1 to 5 is entered by the user.

Time entropy calculation enables to calculate the time series entropy and to add it to the set of analyzed characteristics. Entropy is based on calculating the probability of time series points belonging to the specified intervals. The number of intervals can be introduced by the user, or the program can select such division into intervals that entropy for the given series will be maximal.


Statistic_progressing

Data distribution

The Data distribution page contains the histogram of time series points distribution.

These distributions are built using the time series sample for the specified point, the dynamic GDV-image frame. The histogram of data distribution for each frame can be viewed by moving the slider; the frame for which the histogram is shown is to the left from the slider.

In the upper part of the Data distribution page you can select a GDV parameter, sample, and also the number of intervals to build histograms of time series points distribution.

Above the histogram the expected normal distribution is shown in a thin red line; it can be used for visual comparison of the closeness of the current distribution to the normal. More accurate evaluation can be carried out using the characteristics Asymmetry, Excess and the Kolmogorov-Smirnov criterion of normalcy.

In the lower part of the page, based on the obtained data distribution and also considering literature references, or due to some other considerations, the user needs to indicate the type of method for statistical comparison of samples classified into:

  • Parametric,

  • Non-parametric

On the basis of connection between samples determined 9n the previous page and the type of the statistical comparison method the program automatically determines statistical criteria for comparison of samples that can be as follows

1. Student test for two samples with unequal dispersions

2. The paired Student test

3. Mann-Whitney test

4. Wald-Wolfowitz test

5. Sign test

6. Wilcoxon test.

The criterion for calculation of statistical comparison is displayed in the lower part of the Data distribution page.

You can print the data distribution histogram by pressing Print.

Press Save to save the histogram picture or distribution data.

Press Next to switch over to the next page.


Review_dynamic_series

Viewing the processing results

Based on the processing results of dynamic GDV-images time series of GDV-images parameters are calculated. These time series can be viewed on the Time series page which is displayed after finishing the data processing.

In the upper part of this page you can select a GDV parameter, the displayed curves and a type of argument. On the left there is a list of file names of dynamic GDV-images.

Above the file list the point coordinates on the plot are displayed corresponding to the mouse cursor position.

Based on the selected criteria of statistical comparison the plots of the initial time series are built: you can view them selecting the required criterion of comparison of samples using the cursor.

The trend plots can be viewed by pressing Trends and pointing the cursor at the required type of trends – polynomial, exponential or power.

Visual analysis of time series makes it possible to estimate the so-called spikes or data that should be eliminated from the analysis to increase the validity of results for statistical comparison. Such data can be removed by selecting them using the left mouse button on the plot or in the list (selection is synchronized) and pressing Delete on the keyboard. When the data is deleted the corresponding files of GDV-images will close automatically.

The GDV Scientific Laboratory program makes it possible to edit plots making them more convenient for viewing; e. g., you can change the color, thickness and type of curves; to display data points on the plots. You need to double-click with the left mouse button on the selected line of the plot; the window Line style for the curve will open where you can edit the line style.

The initial time series plots will look in the following way, for example, after being transformed:

The program also enables us to edit the axes parameters: to do this you need to double-click the left mouse button at the axis.

A window will show up where you can change the minimal and maximal value of the given axis. If you need to edit another axis, do the same.


Dynamic_results

Previewing the statistical report

The page Statistical report shows up after the page Time series and has the two main areas: the plot and text report. In the text field there are comments on statistical difference with 5% level of significance for all calculated data. The plot displays the selected numerical characteristic of time series (selected in the list to the left of the plot) over all samples in the Box&Whiskers form.

In the upper part of the window you can choose a GDV-parameter and graph type that can be:

1. the mean – central point, standard error – proportions of the rectangular, confidence interval for 5% of the confidence level – the length of whiskers;

2. the median – central point, 25 and 75 of percentile – proportions of the rectangular, the minimum and maximum are the length of whiskers.

Press the Print report button to print out the report.

Press Save data. to save.

You can see the complete numeric information about processing on page Data table.


Progressing_and_performing_analisis

Getting ready for statistic analysis

If only one sample of static GDV-images has been loaded, then only the loaded GDV-images will be processed. The Data processing page will look as follows.

In the left part of the page a set of calculated GDV parameters is displayed which can be changed using the button Change GDV parameters set. The button shows the window Set of calculated GDV parameters. A smaller set of parameters will reduce the time of processing GDV-images. The most time is required for calculating maximal entropy by isoline.

You also need to indicate what part of images should be processed, the whole image or just a sector.

If two and more samples of static GDV-images are loaded to program you can calculate static criteria of GDV-images. Then the page of Data processing will look as follows:

On the Data processing page we need to determine the connection between the samples loaded to the program classified as:

  • Dependent samples

  • Independent samples

This parameter is to be indicated explicitly based on the type of experiment, viewing of initial data after processing, reference data or some other reasons.

Press Next (at the bottom, to the right) to continue. The program will automatically switch over to the next page Data distribution.


Data_Destribution

Data distribution

The page Data distribution has a histogram of data distribution.

To build a histogram, the range of all possible values of the GDV-parameter in the sample is divided into a preset number of equal intervals. Within each interval the number of pixels is counted. Since the ratio of this number to the total number of pixels is a probability of this pixel belonging to the interval, the obtained histogram can be considered a probability distribution and use when choosing statistical tests for comparison of samples The number of intervals into which the GDV-parameter domain is split is entered by the user above the plot window on the right. You can also select a GDV parameter and sample to built distribution.

Above the histogram the expected normal distribution is shown in a thin red line; it can be used for visual comparison of the closeness of the current distribution to the normal. More accurate evaluation can be carried out using the characteristics Asymmetry, Excess and the Kolmogorov-Smirnov criterion of normalcy shown below the plot.

In the lower part of the page, based on the obtained data distribution, and also taking into account literature references, or some other considerations, the user needs to clearly indicate the type of the statistical method of samples comparison classified as:

  • Parametric

  • Non-parametric.

On the basis of connection between samples determined 9n the previous page and the type of the statistical comparison method the program automatically determines statistical criteria for comparison of samples that can be as follows:

1. Student test for two samples with unequal dispersions

2. The paired Student test

3. Mann-Whitney test

4. Wald-Wolfowitz test

5. Sign test

6. Wilcoxon test

The calculation criterion for static comparison is displayed in the lower part of the page Data distribution.

The data distribution histogram is printed using the Print button.

Press Save to save the histogram image or distribution data.

ATTENTION!!! The more GDV-images are loaded into sample, the more accurate you can determine the type of distribution. To determine normalcy it is desirable to have at least 20 values. If capturing of such number of GDV-images for all analyzed samples is difficult, you can select the most typical sample, capture the maximal possible number of GDV-images, estimate its GDV-parameter distribution, and conditionally assume this distribution to be authentic for the rest samples. However this assumption can be used only if it is known that the investigated samples have similar properties.


grafics

Parameter plots

The page Parameter plots is automatically displayed after calculation of static GDV-image parameters is finished on page Data processing. In the upper part of the window you can select the analyzed GDV-parameter. On the plot a dashed line will correspond to each sample. Data points are connected with lines conditionally, to make visual perception easier. However if GDV-images are images of one and the same subject consecutively captured in time, they can be analyzed as a parameter time series similarly to dynamic GDV-images. For each curve on the plot several approximating functions F, or trends, are calculated. In the upper right-hand corner of the page you can select the form of trend displayed at the current moment. The following types of trends are available

1. mean value - F = M, where M – is a mean parameter value for the sample (constant)

2. median - F = m, где m – parameter median for sample (constant)

3. linear - F = A*i + B - where i – the GDV-image number in the sample, A and B – the approximating line coefficients

4. cubic polynomial - F = K3*i*i*i + K2*i*i + K1*i + K0 - where i – the GDV-image number in the sample, K0, K1, K2, K3 – the approximating cubic polynomial coefficients

5. exponential - F = Ae*exp(Be)+Ce- where i - the GDV-image number in the sample, Ae, Be, Ce - the approximating exponential function coefficients

6. power - F = Ap*(i^Bp)+Cp- where i - the GDV-image number in the sample, Ap, Bp, Cp – the approximating power function coefficients

Visual analysis of time series makes it possible to estimate the so-called spikes or points that should be eliminated from the analysis to increase the validity of results for statistical comparison. Such points can be removed by selecting them using the left mouse button on the plot (selection is synchronized) and pressing Delete:

The GDV Scientific Laboratory program makes it possible to edit plots making them more convenient for viewing; e. g., you can change the color, thickness and type of curves; to display data points on curves. You need to double-click with the left mouse button on the selected line of the plot; the window Line style for the curve will open where you can edit the line style.

The plots of the initial time series will look as follows, for example, after transformations:

The program also makes it possible to edit axes parameters; to do this you need to double-click the left mouse button near an axis.

A window will show up where you can change the minimal and maximal values of the given axis. Editing another axis is done in a similar way.

Using the Print plots… button you can print out plots with and without legend.

Press Save data… to save the obtained plots.

The buttons <<Back and Next>> make it possible to return to the previous page or to switch to the next one, respectively.


Statistic_report

Statistical report

Страница Статистический отчет включает две основных области: график и текстовый отчет. В текстовом поле приводится комментарий о статистическом различии с 5% уровнем значимости для всех рассчитанных данных. На графике отображаются статистические характеристики выборок в форме Box&Whiskers.

In the upper part of the window you can choose a GDV-parameter and graph type that can be:

1. the mean – central point, standard error – proportions of the rectangular, confidence interval for 5% of the confidence level – the length of whiskers;

2. the median – central point, 25 and 75 of percentile – proportions of the rectangular, the minimum and maximum are the length of whiskers.

The Print report… button enables to print out the report.

Use the Save data… button to save calculations.

You can see full numeric information about the processing session on page Data table.


DetailedReport

Numerical data table

The Data table page is the last page of the program and contains all calculated numerical data. The concrete contents depend on the type and number of loaded GDV-images and their procedure of processing and statistical analysis.

The table will show the data for all parameters. First goes the initial data of the first sample. If you use the dynamic mode the data is arranged horizontally, as samples include several sets of numbers. In the static mode the data is arranged vertically. The initial data is followed by the statistical characteristics of samples. The same is repeated for all other loaded samples.

If the program is working in the statistical comparison mode, the parameters included into statistical tests will be shown. Their contents depend on the test but in each test the zero hypothesis (the absence of statistical difference of samples) probability (p–value) is calculated. If the probability does not exceed 5% the test parameters are shown in red type.

The data table can be saved to a text file or printed-out.


MSWordReport

Report in MS Word

ATTENTION!!! Generation of a detailed report in Microsoft Word is possible only if you have Microsoft Office installed on your computer.

The GDV Scientific Laboratory enables to generate a report in the Microsoft Word format. This report includes all calculated numerical data, plots and text comments of the program.

To create a report, press the Generate MS Word Report button at the left-hand bottom of the numerical data table.

The settings window of the report contents will show up.

In this window you can select parameters that have been calculated, data to include into the report, and also the necessary report sections.

ATTENTION!!! Generation of a detailed report takes much time, from one to several minutes in the dynamic mode. Therefore you need to include into your report only those sections and GDV-parameters that are really required.

After pressing Generate report… in the Contents of detailed report window the generation of the report will begin, and as soon as it is created MS Word with a loaded report will start automatically.


PrintFrames

Printing GDV-images

The program makes it possible to print out the loaded GDV-images. Press Print GDV-images on the page GDV-image samples. Before printing the program will open the preview window from where you can print or save the image.

See description of working with the preview window in the Printing plots and tables section.


Printing_charts

Printing plots and tables

The program enables us to print any plots and tables viewed by the user:

  • Plots on the Parameters plots page

  • Plots and text report on the Statistical report page

  • Table on the Data table page

On each of the above pages there is a corresponding button: Print plots…, Print report… or Print table that opens the Print preview window.

There are several buttons in the upper line of this window:

– closes the preview window

– switches to window “Print setup”, followed by printing

– enables to view the previous page and next one

– enables to view the first page and the last one

– enable to save the file of the printed page in Windows Bitmap (extension BMP) or Windows Enhanced Metafile (extension EMF) formats

– changes the scale of the preview page

Information on the number of pages is shown in the window bottom line.

After pressing button Print window Print setup appears. If you have a color printer, the printer is automatically set for color printing. Album page setup is given by default.

It is advised to use the EMF format for saving pages, as, first of all, images occupy much fewer space on disk in this format than in BMP format. Secondly, when these images are scaled in documents (for example, in Microsoft Word) distortions are minimal.


Savingprocess

Saving the work session

The program has the function of saving data calculated during the current work session, to a separate file with extension .sl. The following data is saved:

  • operating mode of the program

  • paths to the open video files

  • all parameters of processing (operating frame range, noise filtering parameters, etc),

  • the calculated GDV-parameters

  • the calculated statistical criteria

To save the sl-file press Save data…

This file can be opened in the GDV Scientific Laboratory program I case of another necessity of data analysis, etc. To open the sl-file you need to select Load data file on the start page. The program will switch over to the page of selecting and loading data files.

The sl-file can be copied from one computer to another, however, if only a single file of GDV-images is not found by the saved paths, the program will miss the loading of GDV-images and their repeated processing will be inaccessible. But this does not refer to viewing GDV-parameters and their repeated statistic analysis.


Workflow

Стандартная процедура работы с программой

 | Динамический режим | Статический режим
1 | Загрузка ГРВ-грамм первой выборки
2 | Загрузка ГРВ-грамм второй выборки
3 | Обработка изображений ГРВ-грамм
4 | Просмотр и визуальный анализ временных рядов параметров ГРВ-грамм по выборкам | Просмотр и визуальный анализ распределения параметров ГРВ-грамм по выборкам
5 | Выбор схемы анализа (исходные временные ряды или их характеристики) | -
6 | Выбор критериев статистического анализа и расчет статистических параметров
7 | Просмотр и печать отчета программы
8 | Сохранение данных
9 | При необходимости просмотр, печать и сохранение подробного отчета со всеми числовыми данными

Все шаги алгоритма выполняются при статистическом сравнении данных, а при обработке одной группы ГРВ-грамм выполняются только шаги выделенные цветом.